Gecode::Set::RelOp::SuperOfInter< View0, View1, View2 > Class Template Reference
Other available functionality » Set propagators

Propagator for the superset of intersection More...

`#include <rel-op.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::MixTernaryPropagator< View0, PC_SET_ANY, View1, PC_SET_ANY, View2, PC_SET_CLUB >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low ternary).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, View0 x, View1 y, View2 z)
| Post propagator .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| SuperOfInter (Space &home, SuperOfInter &p)
| Constructor for cloning p.
| SuperOfInter (Home home, View0, View1, View2)
| Constructor for posting.
Protected Member Functions inherited from Gecode::MixTernaryPropagator< View0, PC_SET_ANY, View1, PC_SET_ANY, View2, PC_SET_CLUB >
| MixTernaryPropagator (Space &home, MixTernaryPropagator &p)
| Constructor for cloning.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::MixTernaryPropagator< View0, PC_SET_ANY, View1, PC_SET_ANY, View2, PC_SET_CLUB >
View0 | x0
| View of type View0.
View1 | x1
| View of type View1.
View2 | x2
| View of type View2.

## Detailed Description

template<class View0, class View1, class View2>
class Gecode::Set::RelOp::SuperOfInter< View0, View1, View2 >

Propagator for the superset of intersection

Requires

#include <gecode/set/rel-op.hh>
rel-op.hh

Definition at line 61 of file rel-op.hh.

## Constructor & Destructor Documentation

## SuperOfInter() [1/2]

template<class View0, class View1, class View2>

Gecode::Set::RelOp::SuperOfInter< View0, View1, View2 >::SuperOfInter | ( | Space & | home,
|  | SuperOfInter< View0, View1, View2 > & | p )

inline protected

Constructor for cloning p.

Definition at line 51 of file superofinter.hpp.

## SuperOfInter() [2/2]

template<class View0, class View1, class View2>

Gecode::Set::RelOp::SuperOfInter< View0, View1, View2 >::SuperOfInter | ( | Home | home,
|  | View0 | y0,
|  | View1 | y1,
|  | View2 | y2 )

inline protected

Constructor for posting.

Definition at line 44 of file superofinter.hpp.

## Member Function Documentation

## copy()

template<class View0, class View1, class View2>

Actor * Gecode::Set::RelOp::SuperOfInter< View0, View1, View2 >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 66 of file superofinter.hpp.

## propagate()

template<class View0, class View1, class View2>

ExecStatus Gecode::Set::RelOp::SuperOfInter< View0, View1, View2 >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 72 of file superofinter.hpp.

## post()

template<class View0, class View1, class View2>

ExecStatus Gecode::Set::RelOp::SuperOfInter< View0, View1, View2 >::post | ( | Home | home,
|  | View0 | x,
|  | View1 | y,
|  | View2 | z )

static

Post propagator .

Definition at line 58 of file superofinter.hpp.

The documentation for this class was generated from the following files:

- gecode/set/rel-op.hh
- gecode/set/rel-op/superofinter.hpp